Bug 1414849 - Regression: texstudio-2.12.0-1.fc24 waits indefinitely in futex FUTEX_WAIT_PRIVATE
Summary: Regression: texstudio-2.12.0-1.fc24 waits indefinitely in futex FUTEX_WAIT_PR...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: texstudio
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 15:21 UTC by Edgar Hoch
Modified: 2017-07-26 01:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-26 01:15:26 UTC
Type: Bug


Attachments (Terms of Use)
tar file containing files with output from stderr and of strace from texstudio process (168.99 KB, application/x-xz)
2017-01-19 15:21 UTC, Edgar Hoch
no flags Details

Description Edgar Hoch 2017-01-19 15:21:30 UTC
Created attachment 1242513 [details]
tar file containing files with output from stderr and of strace from texstudio process

Description of problem:
Since update to texstudio-2.12.0-1.fc24 texstudio is not working anymore.
My colleague told me that she has used texstudio without problems before the update (done by dnf-automatic).

I have attached output of stderr of the following command, and the files created by strace:

strace -tt -y -yy -ff -o /tmp/texstudio-strace-$(date "+%F-%H-%M-%S").txt texstudio 2>/tmp/texstudio-stderr-$(date "+%F-%H-%M-%S").txt


Version-Release number of selected component (if applicable):
texstudio-2.12.0-1.fc24.x86_64
qgnomeplatform-0.2-13.20161205git.fc24.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Start "texstudio"

Actual results:
Error messages are printed to stderr, texstudio window is not displayed.

Expected results:
No error messages, texstudio window is displayed and working.

Comment 1 Edgar Hoch 2017-01-19 15:36:54 UTC
I have downgraded to texstudio-2.11.0-1.fc24.x86_64 and tested this older version, but it doesn't work (same behaviour as current version).

It may be that some of the updated packages installed in the last days (by dnf-automatic) are the reason of the problem (e.g. a library)?

Comment 2 hannes 2017-01-19 15:42:27 UTC
Hi Edgar,

can you please check if this solves the problem:
https://ask.fedoraproject.org/en/question/89787/texstudio-only-runs-as-root-on-fedora-24/?answer=91762#post-id-91762
You need to change the theme in a config file. Perhaps that's also the issue here.

Comment 3 Edgar Hoch 2017-01-19 16:16:09 UTC
Hi Hannes,

I have created a file ~/.config/texstudio/texstudio.ini with the following content:

[texmaker]
X11\Style=default

I had no such file previously because I had never started texstudio in the computer I used to test it now.

Yes, this solves the problem. texstudio has started. But now I got the error described in bug #1414786 .

After exiting from texstudio it updates file ~/.config/texstudio/texstudio.ini with many options (because it was the first time texstudio was terminating normal).

Ok, this is a workaround for users who need an immediate solution. Thanks!

But we should solve the problem in a way that texstudio works out of the box in future.

Comment 4 hannes 2017-01-27 09:21:33 UTC
Could you perhaps check again if the problem still persists with 2.12.2 or if it was somehow related to the other failues in bug #1414786.

Thanks a lot!

Comment 5 Fedora End Of Life 2017-07-26 00:12:15 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Edgar Hoch 2017-07-26 01:15:26 UTC
Sorry, I forgot to answer. Currently it seems to me that texstudio is working on Fedora 25 and 26.


Note You need to log in before you can comment on or make changes to this bug.